Package org.eclipse.mat.internal.collectionextract

# Class Pair12CollectionExtractor

java.lang.Object
org.eclipse.mat.internal.collectionextract.PairCollectionExtractor
org.eclipse.mat.internal.collectionextract.Pair12CollectionExtractor

All Implemented Interfaces:
  `ICollectionExtractor`

public class Pair12CollectionExtractor extends PairCollectionExtractor

## Constructor Summary

Constructors
Constructor
Description
`Pair12CollectionExtractor(String field1, String field2)`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`extractEntryIds(IObject coll)`
Returns the object ids (int) for all objects which are contained in the collection
`Integer`
`getSize(IObject coll)`
Extract the size of the collection.

### Methods inherited from class org.eclipse.mat.internal.collectionextract.PairCollectionExtractor

`extractEntries, getCapacity, getFillRatio, getNumberOfNotNullElements, hasCapacity, hasExtractableArray, hasExtractableContents, hasFillRatio, hasSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Pair12CollectionExtractor

public Pair12CollectionExtractor(String field1, String field2)

## Method Details

### getSize

public Integer getSize(IObject coll) throws SnapshotException
Description copied from interface: `ICollectionExtractor`
Extract the size of the collection.

Specified by:
  `getSize` in interface `ICollectionExtractor`
Overrides:
  `getSize` in class `PairCollectionExtractor`
Parameters:
  `coll` - - the collection to find the size of
Returns:
  the size, or null if not available
Throws:
  `SnapshotException` - if there is a problem retrieving data from the snapshot
See Also:
  - `ICollectionExtractor.hasSize()`

### extractEntryIds

public int[] extractEntryIds(IObject coll) throws SnapshotException
Description copied from interface: `ICollectionExtractor`
Returns the object ids (int) for all objects which are contained in the collection

Specified by:
  `extractEntryIds` in interface `ICollectionExtractor`
Overrides:
  `extractEntryIds` in class `PairCollectionExtractor`
Parameters:
  `coll` - - the collection to find the objects it holds
Returns:
  an array of ints which are the object ids.
Throws:
  `SnapshotException` - if there is a problem retrieving data from the snapshot
See Also:
  - `ICollectionExtractor.hasExtractableContents()`